Name:		urlgfe
Version:	1.0.3
Release:	2%{?dist}
Summary:	Urlgfe download manager

Group:		Applications/Internet
License:	LGPLv2+
URL:		http://urlget.sourceforge.net/
Source0:	http://downloads.sourceforge.net/urlget/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	curl-devel
BuildRequires:	expat-devel
BuildRequires:	gawk
BuildRequires:	gettext
BuildRequires:	gtk2-devel
BuildRequires:	pcre-devel
BuildRequires:	desktop-file-utils

%description
Urlgfe is a download manager that uses GTK+2 ,libcurl, and pcre.

It allows you to classify URLs before downloading them, and 
allows you to import URLs from HTML files. Every category has 
an independent configuration that can be inherited by 
each download in that category.

%prep
%setup -q

for f in [A-Z]* ; do \
	%{__sed} -i.encoding -e 's|\r||g' $f
done

%{__sed} -i -e 's|%{name}-icon\.png|%{name}-icon|' \
	%{name}.desktop

( cd po/ ; rm -f stamp-po *.gmo )
	
%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -c -p"

desktop-file-install \
	--delete-original \
	--vendor fedora \
	--remove-category Application \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications \
	$RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%{find_lang} %{name}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS
%doc COPYING
%doc COPYRIGHT
%doc ChangeLog
%doc NEWS
%doc README

%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}*.png
%{_datadir}/applications/fedora-%{name}.desktop

%changelog
* Tue Feb 24 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.0.3-2
- F-11: Mass rebuild

* Wed Dec 17 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.0.3-1
- 1.0.3

* Tue Feb 12 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>
- Rebuild against gcc43

* Wed Dec  5 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.0.2-2
- Fix icon path in desktop file for desktop-file-utils 0.14+

* Wed Aug 29 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.0.2-1
- 1.0.2

* Wed Aug 22 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.0-1.dist.2
- Mass rebuild (buildID or binutils issue)

* Fri Aug  3 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.0-1.dist.1
- License update

* Wed Nov 29 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.0-1
- Initial packaging to import to Fedora Extras.
